<?
/* PHP3 Mail-Log */

/* *********************** */
/* Configuration Variables */
/* *********************** */

/* Your E-Mail Address */
$mailconfto = "webmaster@yourdomain.co.uk";

/* The From Address you want shown on the e-mail */
$mailconffrom = "weblogs@yourdomain.co.uk";

/* The Subject you want shown on the e-mail */
$mailconfsubject = "yourdomain.co.uk logs";

/* Your Server name (without the www.) */
$mailconfserver = "yourdomain.co.uk";

/* Minimum number of entries before the logs are e-mailed */
$mailconfmin = 10;

/* Path to the log file. The file *MUST* be writable by the script */
$logfile = "maillogs/logsfile.txt";

/* ************************************** */
/* DO NOT CHANGE ANYTHING PAST THIS POINT */
/* ************************************** */
$results = array();

/* Only run on our server... */
$mailconfserver1 = "www." . $mailconfserver;
if (($HTTP_HOST == $mailconfserver) or ($HTTP_HOST == $mailconfserver1))
{

	/* Get a the current date and time, formated */
	$shortdate = date("Y-m-d H:i");

	/* Attempt to resolve remote host name */
	$host_name = gethostbyaddr($REMOTE_ADDR);

	/* Build log string for writing */
	$log_rec = "Time: " . $shortdate . "\n";
	$log_rec .= "Referer: " . $HTTP_REFERER . "\n";
	$log_rec .= "IP: " . $REMOTE_ADDR . ", Host: " . $host_name . "\n";
	$log_rec .= "With: " . $HTTP_USER_AGENT . "\n";
	$log_rec .= "Page: " . $REQUEST_URI . "\n\n";

	/* Open log file and write details                  */
	/* NOTE: If we can't open the log file, it is more  */
	/* important to get on with displaying the page     */
	/* than worrying about a few lost logs! So there is */
	/* -deliberately- no failure processing here.       */

	$fp = @fopen($logfile, "a");

	if ($fp)
	{
		fwrite($fp, $log_rec);
		fclose($fp);

		/* Now open the log file and count the number of entries */
		unset ($results);
		$results = file($logfile);
		if (count($results) > 1)
		{
			/* Each log entry has 6 lines, so adjust for this */
			$log_entries = (count($results) / 6);

			/* If more than the defined number of logs, send e-mail and zap file */
			if ($log_entries >= $mailconfmin)
			{
				/* Convert the array to a string for sending mail */
				reset ($results);
				$message = "\n\n";
				while (list(, $resultl) = each ($results))
				{
					$message .= $resultl;
				}

				/* Now send the mail */
				if (mail($mailconfto, $mailconfsubject, $message, "From: $mailconffrom"))
				{
					/* Mail sent so zap the file */
					$fp = @fopen($logfile, "w");
					if ($fp)
					{
						fclose($fp);
					}
				}
			}
		}
	}
}
?>
